> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/datasets/post.md).

# post

## Overview

This endpoint is used for creating new datasets.  Datasets can belong to either a user or organization.

## HTTP Request

```http
POST /api/v1/users/:userName/datasets
POST /api/v1/organizations/:organizationName/datasets
```

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Path parameters

| Parameter        |                                                          |
| ---------------- | -------------------------------------------------------- |
| userName         | The user name of the user that owns the dataset          |
| organizationName | The short name of the organization that owns the dataset |

## Request body

Provide a JSON object with information about the dataset.

| Property name         | Type       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| --------------------- | ---------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **name**              | **string** | **Required.** The name of the dataset. Must be unique (non-word characters ignored) within the user or organization that owns the dataset.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| **publicAccessLevel** | **string** | <p><strong>Required.</strong> The public access level of the dataset. Must be one of:</p><ul><li><strong>none</strong> - Only specific people will be able to see the existence of the dataset.</li><li><strong>overview</strong> - Anyone can see the existence of the dataset</li><li><strong>metadata</strong> - Anyone can view any variables and summary statistics on the dataset.</li><li><strong>sample</strong> - Anyone can view, query, and download the dataset's sample data.</li><li><strong>data</strong> - Anyone can view, query, and download the dataset's data.</li></ul> |
| **description**       | **string** | **Optional.** A short description of the dataset that will show up in search results. Limited to 256 characters.                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

## Authorization

You must either authorize as the user or an administrator of the organization that owns the dataset. Your access token must have the following scope:

* data.edit
* organization.write (only if the dataset is created in an organization)

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a [dataset resource](/api/resource-definitions/dataset.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/rest-api/datasets/post.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
